Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036707
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2017-08-23 14:412017-09-21 16:50
ReportermaiteView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision9ba0cfebdf14
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036707: Price List Schema with several lines is not working in a "hierarchical" way

DescriptionPer documentation: Second thing to notice is that the set of price rules and/or discounts must be configured in a "hierarchical" way, that's line by line. (http://wiki.openbravo.com/wiki/Price_List_Schema [^])

But at the moment, in case 2 lines of same schema apply to same product, only the last one is being applied
Steps To Reproduce0. Create Price List Schema for * organization
1. Add line 10, Product Category "Alcoholic", List Price Discount %=10, Unit Price Discount %=10
2. Add line 20, open product selector and select Ale Beer with price list version "Happy Drinks", List Price Discount %=5, Unit Price Discount %=5
3. Create Price List for * organization, currency =USD and Sales Price List=Yes
4. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List
5. Run Create Price List process
6. Realize that price calculated for Ale Beer is 5% of base price list (only second line of Price List Schema has been applied)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098874)
markmm82 (developer)
2017-09-06 23:39
edited on: 2017-09-12 16:21

[PLSCH010] Test Plan 1: Price List Schema with more than one line associated to the same Product Category and base Price List.
1. Create a new Product:
   Search Key = Name = TestProduct
   Product Category = Alcoholic
   Sale = Stocked = Yes
2. Add a price to it:
   Price List Version = Happy Drinks Price List
   Unit Price = List Price = 1.55
3. Create Price List Schema for * organization, name = PLSCH010.
4. Add line 10, Product Category "Alcoholic", List Price Discount %=10, Unit Price Discount %=10
5. Add line 20, open product selector and select TestProduct with price list version "Happy Drinks", List Price Discount %=5, Unit Price Discount %=5
6. Create Price List for * organization, currency = USD and Sales Price List=Yes
7. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List
   Notice our previously created product TestProduct has a price of 1.55 on it.
8. Run Create Price List process
9. Realize that price calculated for TestProduct is 1.33, calculated this way:
   Starting from Happy Drinks Price List price: 1.55
   Applying the first discount: 10% -> 1.55 - (1.55 * 0.10) = 1.395
   Applying the second discount: 5% -> 1.395 - (1.395 * 0.05) = 1.32525
   Rounding the final result with the price precision: 1.32525 -> 1.33.


[PLSCH020] Test Plan 2: Price List Schema with different unit price and list price discounts and all products of a Product Category and base Price List.
1. Create a new Product:
   Search Key = Name = TestProduct
   Product Category = Alcoholic
   Sale = Stocked = Yes
2. Add a price to it:
   Price List Version = Happy Drinks Price List
   Unit Price = List Price = 1.55
3. Create Price List Schema for * organization, name = PLSCH020.
4. Add line 10:
     Product Category = "Alcoholic",
     Base List Price = Net List Price,
     List Price Discount %=10,
     Base Unit Price = Net Unit Price,
     Unit Price Discount %=50
5. Create Price List for * organization, name = PL020, currency =USD and Sales Price List=Yes
6. Create Price List Version with previous Price List Schema=PLSCH020 and Base Version=Happy Drinks Price List.
   Take note of each product price on this Price List, because they will be used as basis in the new prices calculation.
   For example, notice:
     Ale Beer has a price of 1.36 on it.
     And our previously created product TestProduct has a price of 1.55 on it.
7. Run Create Price List process
8. Realize that price calculated for all products in Happy Drinks Price List have a 10% applied in the List Price and a 50% in the Unit price.
   For Ale Beer we have a List Price of 1.22 and a Unit Price of 0.68:
   List Price (1.22) was calculated this way:
     Starting from Happy Drinks Price List price: 1.36
     Applying the discount: 10% -> 1.36 - (1.36 * 0.10) = 1.224
     Rounding the final result with the price precision: 1.224 -> 1.22.
  
   Unit Price (0.68) was calculated this way:
     Starting from Happy Drinks Price List price: 1.36
     Applying the discount: 10% -> 1.36 - (1.36 * 0.50) = 0.68
     Rounding the final result with the price precision: 0.68 -> 0.68.

   For TestProduct we have a List Price of 1.40 and a Unit Price of 0.78:
   List Price (1.40) was calculated this way:
     Starting from Happy Drinks Price List price: 1.55
     Applying the discount: 10% -> 1.55 - (1.55 * 0.10) = 1.395
     Rounding the final result with the price precision: 1.395 -> 1.40.
  
   Unit Price (0.78) was calculated this way:
     Starting from Happy Drinks Price List price: 1.55
     Applying the discount: 10% -> 1.55 - (1.55 * 0.10)= 0.775
     Rounding the final result with the price precision: 0.775-> 0.78.


[PLSCH030] Test Plan 3: Price List Schema with different unit price and list price discounts and a defined product of a Product Category and base Price List.
1. Create a new Product:
   Search Key = Name = TestProduct
   Product Category = Alcoholic
   Sale = Stocked = Yes
2. Add a price to it:
   Price List Version = Happy Drinks Price List
   Unit Price = List Price = 1.55
3. Create Price List Schema for * organization, name = PLSCH030.
2. Add line 10:
     Product Category = "Alcoholic",
     Open product selector and select TestProduct with price list version "Happy Drinks"
     Base List Price = Net List Price,
     List Price Discount %=10,
     Base Unit Price = Net Unit Price,
     Unit Price Discount %=20
4. Create Price List for * organization, name = PL030, currency =USD and Sales Price List=Yes
5. Create Price List Version with previous Price List Schema=PLSCH030 and Base Version=Happy Drinks Price List.
   Notice our previously created product TestProduct has a price of 1.55 on it.
6. Run Create Price List process
7. Realize that price was calculated only for TestProduct product, using the price in Happy Drinks Price List for it, and applying a 10% in the List Price and a 20% in the Unit price.
   For TestProduct we have a List Price of 1.40 and a Unit Price of 1.24:
   List Price (1.40) was calculated this way:
     Starting from Happy Drinks Price List price: 1.55
     Applying the discount: 10% -> 1.55 - (1.55 * 0.10) = 1.395
     Rounding the final result with the price precision: 1.395 -> 1.40.
  
   Unit Price (1.24) was calculated this way:
     Starting from Happy Drinks Price List price: 1.55
     Applying the discount: 10% -> 1.55 - (1.55 * 0.20)= 1.24
     Rounding the final result with the price precision: 1.24-> 1.24.


[PLSCH040] Test Plan 4: Price List Schema with Fixed Prices for an entire Product Category and base Price List.
1. Create Price List Schema for * organization, name = PLSCH040.
2. Add line 10:
     Product Category = "Alcoholic",
     Base List Price = Fixed Price,
     Fixed List Price = 1.95,
     Base Unit Price = Fixed Price,
     Fixed Unit Price = 1.76
4. Create Price List for * organization, name = PL040, currency =USD and Sales Price List=Yes
5. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List.
6. Run Create Price List process
7. Realize that price is the same for all products in Happy Drinks Price List having List Price = 1.95 and Unit price = 1.76.


[PLSCH050] Test Plan 5: Price List Schema with Fixed Prices and selected product of Product Category and base Price List.
1. Create a new Product:
   Search Key = Name = TestProduct
   Product Category = Alcoholic
   Sale = Stocked = Yes
2. Add a price to it:
   Price List Version = Happy Drinks Price List
   Unit Price = List Price = 1.55
1. Create Price List Schema for * organization, name = PLSCH050.
2. Add line 10:
     Product Category = "Alcoholic",
     Open product selector and select TestProduct with price list version "Happy Drinks"
     Base List Price = Fixed Price,
     Fixed List Price = 1.95,
     Base Unit Price = Fixed Price,
     Fixed Unit Price = 1.76
4. Create Price List for * organization, name = PL050, currency =USD and Sales Price List=Yes
5. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List.
6. Run Create Price List process
7. Realize that price is calculated only for TestProduct having List Price = 1.95 and Unit price = 1.76.

(0098953)
markmm82 (developer)
2017-09-11 17:38

[PLSCH060] Test Plan 6: Price List Schema with Cost Prices and an entire Product Category and base Price List.
1. Create Price List Schema for * organization, name = PLSCH060.
2. Add line 10:
     Product Category = "Alcoholic",
     Base List Price = Cost,
     List Price Margin %= 10,
     Base Unit Price = Cost,
     Unit Price Margin %= 20
4. Create Price List for * organization, name = PL060, currency=USD, Sales Price List=Yes and Price List based on Cost = Yes
5. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List.
   Notice Ale Beer product has a cost of 1.36 on it cost tab for Happy Drinks Price List.
6. Run Create Price List process
7. Realize that price calculated for all products in Happy Drinks Price List are based on their cost and have a 10% applied in the List Price and a 20% in the Unit price.
   For Ale Beer we have a List Price of 1.63 and a Unit Price of 1.50:
   List Price (1.63) was calculated this way:
     Starting from Ale Beer cost: 1.36
     Applying the margin: 10% -> 1.36 + (1.36 * 0.10) = 1.496
     Rounding the final result with the price precision: 1.496 -> 1.50.
  
   Unit Price (1.50) was calculated this way:
     Starting from Ale Beer cost: 1.36
     Applying the margin: 20% -> 1.36 + (1.36 * 0.20) = 1.632
     Rounding the final result with the price precision: 1.632 -> 1.63.
(0098954)
markmm82 (developer)
2017-09-11 17:47

[PLSCH070] Test Plan 7: Price List Schema with Cost Prices and selected product of a Product Category and a base Price List.
1. Create Price List Schema for * organization, name = PLSCH070.
2. Add line 10:
     Product Category = "Alcoholic",
     Base List Price = Cost,
     List Price Margin %= 10,
     Base Unit Price = Cost,
     Unit Price Margin %= 20
4. Create Price List for * organization, name = PL070, currency=USD, Sales Price List=Yes and Price List based on Cost = Yes
5. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List.
   Notice Ale Beer product has a cost of 1.36 on it cost tab for Happy Drinks Price List.
6. Run Create Price List process
7. Realize that price is calculated only for TestProduct, it was based on their cost and have a 10% applied in the List Price and a 20% in the Unit price.
   For Ale Beer we have a List Price of 1.63 and a Unit Price of 1.50:
   List Price (1.63) was calculated this way:
     Starting from Ale Beer cost: 1.36
     Applying the margin: 10% -> 1.36 + (1.36 * 0.10) = 1.496
     Rounding the final result with the price precision: 1.496 -> 1.50.
  
   Unit Price (1.50) was calculated this way:
     Starting from Ale Beer cost: 1.36
     Applying the margin: 20% -> 1.36 + (1.36 * 0.20) = 1.632
     Rounding the final result with the price precision: 1.632 -> 1.63.
(0098959)
markmm82 (developer)
2017-09-11 19:16

[PLSCH080] Test Plan 8: Price List Schema with Fixed Price or Cost Based and an entire Product Category and base Price List.
1. Create Price List Schema for * organization, name = PLSCH080.
2. Add line 10:
     Product Category = "Alcoholic",
     Base List Price = Fixed Price or Cost Based,
     Fixed List Price = 1.73
     List Price Margin %= 10,
     Base Unit Price = Fixed Price or Cost Based,
     Fixed Unit Price = 1.17
     Unit Price Margin %= 10
4. Create Price List for * organization, name = PL080, currency=USD, Sales Price List=Yes and Price List based on Cost = Yes
5. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List.
   Notice Ale Beer product has a cost of 1.36 on it cost tab for Happy Drinks Price List.
6. Run Create Price List process
7. Realize that price calculated for all products in Happy Drinks Price List are based under this basis:
     - If the fixed price is greater than the cost, then the defined fixed price is selected.
     - If the fixed price is lesser than the cost, then the cost (plus the defined margin) is selected.

   For example for Ale Beer we have a List Price of 1.73 and a Unit Price of 1.50:

   The List Price (1.73) was calculated by this way:
     Fixed Price = 1.73
     Ale Beer Cost = 1.36
     Fixed Price > Cost so List Price = Fixed Price = 1.73
   The Unit Price (1.50) was calculated by this way:
     Fixed Price = 1.17
     Ale Beer Cost = 1.36
     Fixed Price < Cost so Unit Price = Cost + Margin = Starting from Ale Beer cost: 1.36, Applying the margin: 10% -> 1.36 + (1.36 * 0.10) = 1.496, Rounding = 1.496 -> 1.50.
  

[PLSCH090] Test Plan 9: Price List Schema with Fixed Price or Cost Based and selected product of Product Category and base Price List.
1. Create Price List Schema for * organization, name = PLSCH090.
2. Add line 10:
     Product Category = "Alcoholic",
     Base List Price = Fixed Price or Cost Based,
     Fixed List Price = 1.23
     List Price Margin %= 10,
     Base Unit Price = Fixed Price or Cost Based,
     Fixed Unit Price = 1.97
     Unit Price Margin %= 10
     Open product selector and select Ale Beer with price list version "Happy Drinks"
4. Create Price List for * organization, name = PL080, currency=USD, Sales Price List=Yes and Price List based on Cost = Yes
5. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List.
   Notice Ale Beer product has a cost of 1.36 on it cost tab for Happy Drinks Price List.
6. Run Create Price List process
7. Realize that price was calculated only for Ale Beer product and was based on it:
     - If the fixed price is greater than the cost, then the defined fixed price is selected.
     - If the fixed price is lesser than the cost, then the cost (plus the defined margin) is selected.

   For example for Ale Beer we have a List Price of 1.50 and a Unit Price of 1.97:

   The List Price (1.50) was calculated by this way:
     Fixed Price = 1.23
     Ale Beer Cost = 1.36
     Fixed Price < Cost so List Price = Cost + Margin = Starting from Ale Beer cost: 1.36, Applying the margin: 10% -> 1.36 + (1.36 * 0.10) = 1.496, Rounding = 1.496 -> 1.50.
    
    The Unit Price (1.97) was calculated by this way:
     Fixed Price = 1.97
     Ale Beer Cost = 1.36
     Fixed Price > Cost so List Price = Fixed Price = 1.97
(0098960)
markmm82 (developer)
2017-09-11 19:17

[PLSCH100] Test Plan 10: Price List Schema with Fixed Price or Cost plus Margin Based and an entire Product Category and base Price List.
1. Create Price List Schema for * organization, name = PLSCH100.
2. Add line 10:
     Product Category = "Alcoholic",
     Base List Price = Fixed Price or Cost plus Margin Based,
     Fixed List Price = 1.73
     List Price Margin %= 10,
     Base Unit Price = Fixed Price or Cost plus Margin Based,
     Fixed Unit Price = 1.62
     Unit Price Margin %= 30
4. Create Price List for * organization, name = PL100, currency=USD, Sales Price List=Yes and Price List based on Cost = Yes
5. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List.
   Notice Ale Beer product has a cost of 1.36 on it cost tab for Happy Drinks Price List.
6. Run Create Price List process
7. Realize that price calculated for all products in Happy Drinks Price List are based under this basis:
     - If the set fixed List/Unit price is higher than the current cost plus List/unit Price margin, the price list will be created with the fixed price.
     - If the set fixed List/Unit price is lower than the current cost plus List/Unit Price margin, then price list will be created using the cost plus the margin.

   For example for Ale Beer we have a List Price of 1.73 and a Unit Price of 1.77:

   The List Price (1.73) was calculated by this way:
     Fixed Price = 1.73
     Ale Beer Cost = 1.36
     Cost + Margin = Starting from Ale Beer cost: 1.36, Applying the margin: 10% -> 1.36 + (1.36 * 0.10) = 1.496, Rounding = 1.496 -> 1.50
     Fixed Price > Cost + Margin so List Price = Fixed Price = 1.73
   
   The Unit Price (1.77) was calculated by this way:
     Fixed Price = 1.62
     Ale Beer Cost = 1.36
     Cost + Margin = Starting from Ale Beer cost: 1.36, Applying the margin: 30% -> 1.36 + (1.36 * 0.30) = 1.768, Rounding = 1.768 -> 1.77
     Fixed Price < Cost + Margin so Unit Price = Cost + Margin = 1.77.
  

[PLSCH110] Test Plan 11: Price List Schema with Fixed Price or Cost plus Margin Based and selected product of Product Category and base Price List.
1. Create Price List Schema for * organization, name = PLSCH110.
2. Add line 10:
     Product Category = "Alcoholic",
     Base List Price = Fixed Price or Cost Based,
     Fixed List Price = 1.23
     List Price Margin %= 60,
     Base Unit Price = Fixed Price or Cost Based,
     Fixed Unit Price = 1.97
     Unit Price Margin %= 10
     Open product selector and select Ale Beer with price list version "Happy Drinks"
4. Create Price List for * organization, name = PL110, currency=USD, Sales Price List=Yes and Price List based on Cost = Yes
5. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List.
   Notice Ale Beer product has a cost of 1.36 on it cost tab for Happy Drinks Price List.
6. Run Create Price List process
7. Realize that price was calculated only for Ale Beer product and was based on it:
     - If the set fixed List/Unit price is higher than the current cost plus List/unit Price margin, the price list will be created with the fixed price.
     - If the set fixed List/Unit price is lower than the current cost plus List/Unit Price margin, then price list will be created using the cost plus the margin.

   For example for Ale Beer we have a List Price of 2.18 and a Unit Price of 1.97:

   The List Price (2.18) was calculated by this way:
     Fixed Price = 1.23
     Ale Beer Cost = 1.36
     Cost + Margin = Starting from Ale Beer cost: 1.36, Applying the margin: 60% -> 1.36 + (1.36 * 0.60) = 2.176, Rounding = 2.176 -> 2.18
     Fixed Price < Cost + Margin so List Price = Cost + Margin = 2.18
    
    The Unit Price (1.97) was calculated by this way:
     Fixed Price = 1.97
     Ale Beer Cost = 1.36
     Cost + Margin = Starting from Ale Beer cost: 1.36, Applying the margin: 10% -> 1.36 + (1.36 * 0.10) = 1.496, Rounding = 1.496 -> 1.50
     Fixed Price > Cost + Margin so List Price = Fixed Price = 1.97
(0098990)
markmm82 (developer)
2017-09-12 16:23

[PLSCH120] Test Plan 12: Price List Schema with more than one line, each associated to different Product Categories.
1. Create a new Product:
   Search Key = Name = TestProductAlcohol
   Product Category = Alcoholic
   Sale = Stocked = Yes
2. Add a price to it:
   Price List Version = Happy Drinks Price List
   Unit Price = List Price = 1.55
3. Create a new Product:
   Search Key = Name = TestProductSoftdrinks
   Product Category = Soft Drinks
   Sale = Stocked = Yes
4. Add a price to it:
   Price List Version = Happy Drinks Price List
   Unit Price = List Price = 1.77
   Take note this is the only product in Soft Drinks category with price defined in Happy Drinks Price List
5. Create Price List Schema for * organization, name = PLSCH120.
6. Add line 10:
    Product Category = "Alcoholic",
    List Price Discount %=10,
    Unit Price Discount %=10.
    Open product selector and select TestProductAlcohol with price list version "Happy Drinks".
7. Add line 20:
    Product Category = "Soft Drinks",
    List Price Discount %=5,
    Unit Price Discount %=5.
    Open product selector and select TestProductSoftdrinks with price list version "Happy Drinks".
8. Create Price List for * organization, currency =USD and Sales Price List=Yes
9. Create Price List Version with previous Price List Schema and Base Version=Happy Drinks Price List
   Notice our previously created product TestProductAlcohol has a price of 1.55 on it.
   Notice our previously created product TestProductSoftdrinks has a price of 1.77 on it.
10. Run Create Price List process
11. Realize that price calculated:
   For TestProductAlcohol is 1.40, calculated by this way:
   Starting from Happy Drinks Price List price: 1.55
   Applying the discount for this product: 10% -> 1.55 - (1.55 * 0.10) = 1.395
   Rounding the final result with the price precision: 1.395 -> 1.40.
  
   For TestProductSoftdrinks is 1.68, calculated by this way:
   Starting from Happy Drinks Price List price: 1.77
   Applying the discount for this product: 5% -> 1.77 - (1.77 * 0.05) = 1.6815
   Rounding the final result with the price precision: 1.6815 -> 1.68.


Test Plan 13:
Repeat steps 1-5
Don't select any product when defines the rules in steps 6 an 7,
Repeat steps 8 and 9.
In step 10, when you execute the Create Price List Process you will get a line for each product belonging to Alcoholic Product Category, having a defined price in used Base Price List (Happy Drinks), and also a line for each product belonging to Soft Drink Product Category with a defined price in the same Base Price List (Happy Drinks), as in our case there are just one TestProductSoftdrinks, only this one will be generated for it category.
(0099012)
hgbot (developer)
2017-09-13 14:23

Repository: erp/devel/pi
Changeset: 9ba0cfebdf14fb6bf6dec4a657674975d16373a2
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Sep 07 15:23:54 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/9ba0cfebdf14fb6bf6dec4a657674975d16373a2 [^]

Fixes issue 36707: Price List Schema is not working in a "hierarchical" way

Price List Schema with several lines was not working in a "hierarchical" way,
because every time it was processing a new M_DiscountSchemaLine it was deleting
the previously calculated product prices, and it always save the last calculation
taking the last line of the price list version as basis.

To fix that, only are removed previously calculated product prices that will be
regenerated at start of the process for the Price List Version being processed.
And these product prices only are removed and inserted once, the first time the
discount will be applied. For next discounts, product prices will be updated using
previously calculated prices.

This way, apply several lines of the Price List Schema will be executed sequencially:
first is applied the discounts for the first line and all prices calculated will
be the basis for the next one to apply, this process until all lines be applied.

---
M src-db/database/model/functions/M_PRICELIST_CREATE.xml
---
(0099013)
aferraz (developer)
2017-09-13 14:24

Code review + Testing OK
(0099176)
hgbot (developer)
2017-09-20 16:11

Repository: erp/devel/pi
Changeset: 828a35bc2b9b460e83ddcde1900d655580c5e8c2
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Sep 19 11:24:16 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/828a35bc2b9b460e83ddcde1900d655580c5e8c2 [^]

Related to issue 36707: Add some automated tests

Created automated tests for Price List generation process.

---
M src-test/src/org/openbravo/test/AllAntTaskTests.java
A src-test/src/org/openbravo/test/pricelist/PriceListTest.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListSchemaLineTestData.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestConstants.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData1.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData10.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData11.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData12.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData13.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData14.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData15.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData16.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData2.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData3.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData4.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData5.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData6.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData7.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData8.java
A src-test/src/org/openbravo/test/pricelist/data/PriceListTestData9.java
---
(0099389)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099421)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-23 14:41 maite New Issue
2017-08-23 14:41 maite Assigned To => Triage Finance
2017-08-23 14:41 maite Modules => Core
2017-08-23 14:41 maite Triggers an Emergency Pack => No
2017-08-23 14:41 maite Issue Monitored: networkb
2017-08-30 15:01 aferraz Assigned To Triage Finance => markmm82
2017-08-30 16:02 markmm82 Status new => scheduled
2017-09-06 23:39 markmm82 Note Added: 0098874
2017-09-07 20:57 markmm82 Note Edited: 0098874 View Revisions
2017-09-11 16:48 markmm82 Note Edited: 0098874 View Revisions
2017-09-11 17:38 markmm82 Note Added: 0098953
2017-09-11 17:47 markmm82 Note Added: 0098954
2017-09-11 19:16 markmm82 Note Added: 0098959
2017-09-11 19:17 markmm82 Note Added: 0098960
2017-09-12 16:21 markmm82 Note Edited: 0098874 View Revisions
2017-09-12 16:23 markmm82 Note Added: 0098990
2017-09-12 18:21 markmm82 Note Added: 0098996
2017-09-12 18:22 markmm82 Note Deleted: 0098996
2017-09-13 14:23 hgbot Checkin
2017-09-13 14:23 hgbot Note Added: 0099012
2017-09-13 14:23 hgbot Status scheduled => resolved
2017-09-13 14:23 hgbot Resolution open => fixed
2017-09-13 14:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9ba0cfebdf14fb6bf6dec4a657674975d16373a2 [^]
2017-09-13 14:24 aferraz Review Assigned To => aferraz
2017-09-13 14:24 aferraz Note Added: 0099013
2017-09-13 14:24 aferraz Status resolved => closed
2017-09-13 14:24 aferraz Fixed in Version => 3.0PR17Q4
2017-09-20 16:11 hgbot Checkin
2017-09-20 16:11 hgbot Note Added: 0099176
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099389
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099421


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker